Package tigase.io

## Interface IOInterface

- All Known Implementing Classes:
    `SocketIO`, `TLSIO`, `ZLibIO`

      public interface IOInterface

  Describe interface IOInterface here.
  Created: Sat May 14 08:07:38 2005
  Author:
    Artur Hefczyc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `bytesRead()` |
    `boolean` | `checkCapabilities​(java.lang.String caps)` |
    `long` | `getBuffOverflow​(boolean reset)` |
    `long` | `getBytesReceived​(boolean reset)` |
    `long` | `getBytesSent​(boolean reset)` |
    `int` | `getInputPacketSize()` |
    `java.nio.channels.SocketChannel` | `getSocketChannel()` |
    `void` | `getStatistics​(StatisticsList list, boolean reset)` |
    `long` | `getTotalBuffOverflow()` |
    `long` | `getTotalBytesReceived()` |
    `long` | `getTotalBytesSent()` |
    `boolean` | `isConnected()` |
    `boolean` | `isRemoteAddress​(java.lang.String addr)` |
    `java.nio.ByteBuffer` | `read​(java.nio.ByteBuffer buff)` |
    `void` | `setLogId​(java.lang.String logId)` |
    `void` | `stop()` |
    `boolean` | `waitingToSend()` |
    `int` | `waitingToSendSize()` |
    `int` | `write​(java.nio.ByteBuffer buff)` |

- - ### Method Detail

    - #### bytesRead

          int bytesRead()

    - #### checkCapabilities

          boolean checkCapabilities​(java.lang.String caps)

    - #### getInputPacketSize

          int getInputPacketSize()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSocketChannel

          java.nio.channels.SocketChannel getSocketChannel()

    - #### getStatistics

          void getStatistics​(StatisticsList list,
                             boolean reset)

    - #### getBytesSent

          long getBytesSent​(boolean reset)

    - #### getTotalBytesSent

          long getTotalBytesSent()

    - #### getBytesReceived

          long getBytesReceived​(boolean reset)

    - #### getTotalBytesReceived

          long getTotalBytesReceived()

    - #### getBuffOverflow

          long getBuffOverflow​(boolean reset)

    - #### getTotalBuffOverflow

          long getTotalBuffOverflow()

    - #### isConnected

          boolean isConnected()

    - #### isRemoteAddress

          boolean isRemoteAddress​(java.lang.String addr)

    - #### read

          java.nio.ByteBuffer read​(java.nio.ByteBuffer buff)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### stop

          void stop()
             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### waitingToSend

          boolean waitingToSend()

    - #### waitingToSendSize

          int waitingToSendSize()

    - #### write

          int write​(java.nio.ByteBuffer buff)
             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setLogId

          void setLogId​(java.lang.String logId)